ManageUsersServiceImpl (Register VRE Users Portlet 1.1.0-3.6.0 API)
Date: 2015-03-03

org.gcube.portlets.admin.manageusers.server

## Class ManageUsersServiceImpl

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet
      - - com.google.gwt.user.server.rpc.RemoteServiceServlet
        - - org.gcube.portlets.admin.manageusers.server.ManageUsersServiceImpl

- All Implemented Interfaces:
    com.google.gwt.user.client.rpc.RemoteService, com.google.gwt.user.server.rpc.SerializationPolicyProvider, Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig, ManageUsersService

      public class ManageUsersServiceImpl
      extends com.google.gwt.user.server.rpc.RemoteServiceServlet
      implements ManageUsersService

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet

      `perThreadRequest, perThreadResponse`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ManageUsersServiceImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ArrayList<PortalUserDTO>` | `getAvailableUsers()`
    `ArrayList<PortalUserDTO>` | `getNonBelongingUsersForVRE()` Retrieves all the users that are registered to portal but are not registered to the current VO
    `boolean` | `registerUsers(List<PortalUserDTO> users2Register)` register the user to the VRE and in the HL Group, plus send notifications to the users

    - ### Methods inherited from class com.google.gwt.user.server.rpc.RemoteServiceServlet

      `checkPermutationStrongName, doGetSerializationPolicy, getSerializationPolicy, onAfterResponseSerialized, onBeforeRequestDeserialized, processCall, processPost, shouldCompressResponse`

    - ### Methods inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet

      `doPost, doUnexpectedFailure, getPermutationStrongName, getThreadLocalRequest, getThreadLocalResponse, onAfterRequestDeserialized, readContent`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ManageUsersServiceImpl

          public ManageUsersServiceImpl()

  - ### Method Detail

    - #### getAvailableUsers

          public ArrayList<PortalUserDTO> getAvailableUsers()

      Specified by:
        `getAvailableUsers` in interface `ManageUsersService`

    - #### getNonBelongingUsersForVRE

          public ArrayList<PortalUserDTO> getNonBelongingUsersForVRE()

      Retrieves all the users that are registered to portal but are not registered to the current VO
      Returns:
        A list with the username of the unregistered users

    - #### registerUsers

          public boolean registerUsers(List<PortalUserDTO> users2Register)

      register the user to the VRE and in the HL Group, plus send notifications to the users
      Specified by:
        `registerUsers` in interface `ManageUsersService`

Copyright © 2015. All Rights Reserved.